{{/* 
Renders the rack attack for Rails.

Expects a context with the following keys:
  - ApplicationConfig: The ApplicationConfig custom resource.
*/}}

{{- with .ApplicationConfig.Spec.RackAttackGitBasicAuth }}
rack_attack:
  git_basic_auth:
    enabled: true
    ip_whitelist:
    {{- .IPWhitelist | toYaml | nindent 6 }}
    {{- with .MaxRetry }}
    max_retry: {{ . }}
    {{- end }}
    {{- with .FindTime }}
    find_time: {{ . | toSeconds }}
    {{- end }}
    {{- with .BanTime }}
    bantime: {{ . | toSeconds }}
    {{- end }}
{{- end }}